Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Zwei Probleme in rubygem-passenger
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in rubygem-passenger
ID: FEDORA-2015-3660
Distribution: Fedora
Plattformen: Fedora 21
Datum: So, 29. März 2015, 13:51
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-1831
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-1832

Originalnachricht

Name        : rubygem-passenger
Product : Fedora 21
Version : 4.0.53
Release : 3.fc21.1
URL : https://www.phusionpassenger.com
Summary : Phusion Passenger application server
Description :
Phusion Passenger® is a web server and application server, designed to be fast,
robust and lightweight. It takes a lot of complexity out of deploying web apps,
adds powerful enterprise-grade features that are useful in production,
and makes administration much easier and less complex. It supports Ruby,
Python, Node.js and Meteor.

-------------------------------------------------------------------------------
-
Update Information:

- update to version 4.0.53
- remove old BuildRequires and tmpfiles.d conditions
- changed the packaging structure to be closer to upstream
- fix for CVE-2014-1831 and CVE-2014-1832
- use real commands without macros
- do not bundle libeio
- get agents_dir from locations.ini
-------------------------------------------------------------------------------
-
ChangeLog:

* Fri Feb 13 2015 Orion Poplawski <orion@cora.nwra.com> - 4.0.53-3.1
- Add needed obsoletes on rubygem-passenger-native{,-libs} for upgrade (bug
#1189188)
- Remove duplicate provides
* Mon Dec 15 2014 Brett Lentz <blentz@redhat.com> - 4.0.53-3
- build for f20 (#1058993)
* Thu Nov 20 2014 Jan Kaluza <jkaluza@redhat.com> - 4.0.53-2
- get agents_dir from locations.ini
* Fri Oct 3 2014 Jan Kaluza <jkaluza@redhat.com> - 4.0.53-1
- update to version 4.0.53
- remove old BuildRequires and tmpfiles.d conditions
- changed the packaging structure to be closer to upstream
- fix for CVE-2014-1831 and CVE-2014-1832
- use real commands without macros
- do not bundle libeio
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1064822 - Corrupted RI documentation
https://bugzilla.redhat.com/show_bug.cgi?id=1064822
-------------------------------------------------------------------------------
-

This update can be installed with the "yum" update program. Use
su -c 'yum update rubygem-passenger' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung